
<img src="https://github.com/alexishumblet/pyestimate/assets/156506719/e105dbe3-bbb6-42ef-a89e-c392d3840314" height="196">
<br/><br/>
<b>pyestimate</b> is a python library implementing various estimators for sinusoid parameters (1D, 2D, multiple sinusoids).

Installation
============

Install pyestimate and its dependencies from PyPI using pip:

    pip install pyestimate

Documentation
=============

Documentation is hosted on [ReadtheDocs](http://pyestimate.readthedocs.org/).

Examples
========

* [Frequency, amplitude and phase estimation of sinusoidal signal with noise](examples/sin_param_estimate_ex.ipynb)
* [Removal of 50Hz or 60Hz interferer without filtering](examples/60Hz_interference.ipynb)
* [Frequency, amplitude and phase estimation of 2D sinusoidal signal with noise](examples/sin2d_param_estimate_ex.ipynb)
* [Estimation of frequency, amplitude and phase for multiple sinusoids (<5)](examples/multiple_sin_param_estimate_ex.ipynb)
* [Principal components AR estimator for multiple sinusoids (faster/suboptimal algorithm)](examples/pc_ar_estimator_ex.ipynb)
